# Interface ProgressEvent

All Known Subinterfaces:
  `BuildPhaseFinishEvent, BuildPhaseProgressEvent, BuildPhaseStartEvent, ConfigurationCacheFinishEvent, ConfigurationCacheProgressEvent, ConfigurationCacheStartEvent, FileDownloadFinishEvent, FileDownloadProgressEvent, FileDownloadStartEvent, FinishEvent, ProblemAggregationEvent, ProblemEvent, ProblemSummariesEvent, ProjectConfigurationFinishEvent, ProjectConfigurationProgressEvent, ProjectConfigurationStartEvent, SingleProblemEvent, StartEvent, StatusEvent, TaskFinishEvent, TaskProgressEvent, TaskStartEvent, TestFileAttachmentMetadataEvent, TestFinishEvent, TestKeyValueMetadataEvent, TestMetadataEvent, TestOutputEvent, TestProgressEvent, TestStartEvent, TransformFinishEvent, TransformProgressEvent, TransformStartEvent, WorkItemFinishEvent, WorkItemProgressEvent, WorkItemStartEvent`

public interface ProgressEvent
Root interface for all events that signal progress while executing an operation. For example, an operation can be the execution of a build, of a task, of a test, etc. A progress event can, for example, signal that a test has started, a task has finished, etc.

Since:
  2.4

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OperationDescriptor`
  `getDescriptor()`
  Returns the description of the operation for which progress is reported.
  `String`
  `getDisplayName()`
  Returns a human consumable short description of the event.
  `long`
  `getEventTime()`
  Returns the time this event was triggered.

- ## Method Details

  - ### getEventTime

    long getEventTime()
    Returns the time this event was triggered.
    Returns:
      The event time, in milliseconds since the epoch.
    Since:
      2.4

  - ### getDisplayName

    String getDisplayName()
    Returns a human consumable short description of the event.
    Returns:
      The short description of the event.
    Since:
      2.4

  - ### getDescriptor

    OperationDescriptor getDescriptor()
    Returns the description of the operation for which progress is reported.
    Returns:
      The description of the operation.
    Since:
      2.4